diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint.sql
index 9afc729b..0c15d06e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Chk_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tableforcon DROP CONSTRAINT "Chk_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tableforcon DROP CONSTRAINT IF EXISTS "Chk_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tableforcon
+ALTER TABLE IF EXISTS testschema.tableforcon
     ADD CONSTRAINT "Chk_$%{}[]()&*^!@""'`\/#" CHECK (col1 > 1)
     NOT VALID;
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint_with_valid.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint_with_valid.sql
index 40151866..ee5313d4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint_with_valid.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint_with_valid.sql
@@ -1,8 +1,8 @@
 -- Constraint: Chk_valid_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tableforcon DROP CONSTRAINT "Chk_valid_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tableforcon DROP CONSTRAINT IF EXISTS "Chk_valid_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tableforcon
+ALTER TABLE IF EXISTS testschema.tableforcon
     ADD CONSTRAINT "Chk_valid_$%{}[]()&*^!@""'`\/#" CHECK (col1 > 200) NO INHERIT;
 
 COMMENT ON CONSTRAINT "Chk_valid_$%{}[]()&*^!@""'`\/#" ON testschema.tableforcon
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint_with_valid_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint_with_valid_msql.sql
index 1d341e03..3b766a46 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint_with_valid_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/Default/create_check_constraint_with_valid_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tableforcon
+ALTER TABLE IF EXISTS testschema.tableforcon
     ADD CONSTRAINT "Chk_valid_$%{}[]()&*^!@""'`\/#" CHECK (col1 > 200) NO INHERIT;
 
 COMMENT ON CONSTRAINT "Chk_valid_$%{}[]()&*^!@""'`\/#" ON testschema.tableforcon
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/alter_exclusion_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/alter_exclusion_constraint.sql
index 5fe0272f..5299ca36 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/alter_exclusion_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/alter_exclusion_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Exclusion_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tableforexclusion DROP CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tableforexclusion DROP CONSTRAINT IF EXISTS "Exclusion_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#a" EXCLUDE USING btree (
     col2 text_pattern_ops WITH =)
     INCLUDE (col1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/alter_exclusion_constraint_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/alter_exclusion_constraint_msql.sql
index 38adeec0..82156781 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/alter_exclusion_constraint_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/alter_exclusion_constraint_msql.sql
@@ -1,6 +1,6 @@
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     RENAME CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" TO "Exclusion_$%{}[]()&*^!@""'`\/#a";
-ALTER INDEX testschema."Exclusion_$%{}[]()&*^!@""'`\/#a"
+ALTER INDEX IF EXISTS testschema."Exclusion_$%{}[]()&*^!@""'`\/#a"
     SET (FILLFACTOR=98);
 COMMENT ON CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#a" ON testschema.tableforexclusion
     IS 'Comment for alter';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint.sql
index 88cb3d58..5c58c601 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Exclusion_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tableforexclusion DROP CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tableforexclusion DROP CONSTRAINT IF EXISTS "Exclusion_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" EXCLUDE USING btree (
     col2 text_pattern_ops WITH =)
     INCLUDE (col1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_exp.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_exp.sql
index bfbdeb4f..0d83f32e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_exp.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_exp.sql
@@ -1,8 +1,8 @@
 -- Constraint: Exclusion_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tableforexclusion DROP CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tableforexclusion DROP CONSTRAINT IF EXISTS "Exclusion_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" EXCLUDE USING gist (
     (col1 + col3) WITH <>,
     col2 WITH <>)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_exp_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_exp_msql.sql
index 08b19b14..da630254 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_exp_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_exp_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" EXCLUDE USING gist (
     (col1 + col3) WITH <>,
     col2 WITH <>)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_msql.sql
index 373174b4..c1512a17 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/11_plus/create_exclusion_constraint_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" EXCLUDE USING btree (
     col2 text_pattern_ops WITH =)
     INCLUDE (col1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_exclusion_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_exclusion_constraint.sql
index ecc1f9f6..22a257b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_exclusion_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_exclusion_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Exclusion_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tableforexclusion DROP CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tableforexclusion DROP CONSTRAINT IF EXISTS "Exclusion_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#a" EXCLUDE USING gist (
     col2 WITH <>)
     WITH (FILLFACTOR=98)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_exclusion_constraint_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_exclusion_constraint_msql.sql
index 38adeec0..82156781 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_exclusion_constraint_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_exclusion_constraint_msql.sql
@@ -1,6 +1,6 @@
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     RENAME CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" TO "Exclusion_$%{}[]()&*^!@""'`\/#a";
-ALTER INDEX testschema."Exclusion_$%{}[]()&*^!@""'`\/#a"
+ALTER INDEX IF EXISTS testschema."Exclusion_$%{}[]()&*^!@""'`\/#a"
     SET (FILLFACTOR=98);
 COMMENT ON CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#a" ON testschema.tableforexclusion
     IS 'Comment for alter';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_without_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_without_fillfactor.sql
index 529715b0..035769cb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_without_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_without_fillfactor.sql
@@ -1,8 +1,8 @@
 -- Constraint: Exclusion_$%{}[]()&*^!@"'`\/#_1a
 
--- ALTER TABLE testschema.tableforexclusion DROP CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#_1a";
+-- ALTER TABLE IF EXISTS testschema.tableforexclusion DROP CONSTRAINT IF EXISTS "Exclusion_$%{}[]()&*^!@""'`\/#_1a";
 
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#_1a" EXCLUDE USING gist (
     col2 WITH <>);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_without_fillfactor_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_without_fillfactor_msql.sql
index a0190e47..0090d557 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_without_fillfactor_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/alter_without_fillfactor_msql.sql
@@ -1,6 +1,6 @@
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     RENAME CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#_1" TO "Exclusion_$%{}[]()&*^!@""'`\/#_1a";
-ALTER INDEX testschema."Exclusion_$%{}[]()&*^!@""'`\/#_1a"
+ALTER INDEX IF EXISTS testschema."Exclusion_$%{}[]()&*^!@""'`\/#_1a"
     RESET (FILLFACTOR);
 COMMENT ON CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#_1a" ON testschema.tableforexclusion
     IS 'Comment for alter';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint.sql
index 765ab93f..eb8df927 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Exclusion_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tableforexclusion DROP CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tableforexclusion DROP CONSTRAINT IF EXISTS "Exclusion_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" EXCLUDE USING gist (
     col2 WITH <>)
     WITH (FILLFACTOR=12)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint_exp.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint_exp.sql
index bfbdeb4f..0d83f32e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint_exp.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint_exp.sql
@@ -1,8 +1,8 @@
 -- Constraint: Exclusion_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tableforexclusion DROP CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tableforexclusion DROP CONSTRAINT IF EXISTS "Exclusion_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" EXCLUDE USING gist (
     (col1 + col3) WITH <>,
     col2 WITH <>)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint_msql.sql
index 74d8165d..9cab40ea 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_exclusion_constraint_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" EXCLUDE USING gist (
     col2 WITH <>)
     WITH (FILLFACTOR=12)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_without_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_without_fillfactor.sql
index d7c463c3..a0e6e8f5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_without_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_without_fillfactor.sql
@@ -1,8 +1,8 @@
 -- Constraint: Exclusion_$%{}[]()&*^!@"'`\/#_1
 
--- ALTER TABLE testschema.tableforexclusion DROP CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#_1";
+-- ALTER TABLE IF EXISTS testschema.tableforexclusion DROP CONSTRAINT IF EXISTS "Exclusion_$%{}[]()&*^!@""'`\/#_1";
 
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#_1" EXCLUDE USING gist (
     col2 WITH <>)
     WITH (FILLFACTOR=12);
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_without_fillfactor_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_without_fillfactor_msql.sql
index 75d85f23..e65609c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_without_fillfactor_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/create_without_fillfactor_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#_1" EXCLUDE USING gist (
     col2 WITH <>)
     WITH (FILLFACTOR=12);
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/exclusion_constraint_exp_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/exclusion_constraint_exp_msql.sql
index b3e03df1..d7850ba1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/exclusion_constraint_exp_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/tests/default/exclusion_constraint_exp_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tableforexclusion
+ALTER TABLE IF EXISTS testschema.tableforexclusion
     ADD CONSTRAINT "Exclusion_$%{}[]()&*^!@""'`\/#" EXCLUDE USING gist (
     col2 WITH <>,
     (col1+col3) WITH <>)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/alter_name_comment_validation.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/alter_name_comment_validation.sql
index f98b930b..bacf80c0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/alter_name_comment_validation.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/alter_name_comment_validation.sql
@@ -1,8 +1,8 @@
 -- Constraint: FKey1_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.test_second_table DROP CONSTRAINT "FKey1_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.test_second_table DROP CONSTRAINT IF EXISTS "FKey1_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey1_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH FULL
     ON UPDATE NO ACTION
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/alter_name_comment_validation_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/alter_name_comment_validation_msql.sql
index a1bbd7b4..95350454 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/alter_name_comment_validation_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/alter_name_comment_validation_msql.sql
@@ -1,7 +1,7 @@
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     RENAME CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" TO "FKey1_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     VALIDATE CONSTRAINT "FKey1_$%{}[]()&*^!@""'`\/#";
 
 COMMENT ON CONSTRAINT "FKey1_$%{}[]()&*^!@""'`\/#" ON testschema.test_second_table
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_cascade.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_cascade.sql
index 6f197b04..fbf87eef 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_cascade.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_cascade.sql
@@ -1,8 +1,8 @@
 -- Constraint: FKey_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.test_second_table DROP CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.test_second_table DROP CONSTRAINT IF EXISTS "FKey_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE CASCADE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_cascade_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_cascade_msql.sql
index 9bd85625..0ff0eddf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_cascade_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_cascade_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE CASCADE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_restrict.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_restrict.sql
index eac1ebe7..e996b53d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_restrict.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_restrict.sql
@@ -1,8 +1,8 @@
 -- Constraint: FKey_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.test_second_table DROP CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.test_second_table DROP CONSTRAINT IF EXISTS "FKey_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE RESTRICT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_restrict_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_restrict_msql.sql
index f7cde37c..46c837f7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_restrict_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_restrict_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE RESTRICT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setdefault.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setdefault.sql
index a7bbf3c9..ac2b29da 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setdefault.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setdefault.sql
@@ -1,8 +1,8 @@
 -- Constraint: FKey_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.test_second_table DROP CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.test_second_table DROP CONSTRAINT IF EXISTS "FKey_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE SET DEFAULT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setdefault_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setdefault_msql.sql
index 99488ea0..ff14da65 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setdefault_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setdefault_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE SET DEFAULT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setnull.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setnull.sql
index abef54b4..3f0795e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setnull.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setnull.sql
@@ -1,8 +1,8 @@
 -- Constraint: FKey_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.test_second_table DROP CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.test_second_table DROP CONSTRAINT IF EXISTS "FKey_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE SET NULL
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setnull_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setnull_msql.sql
index c5a9c02b..3bc08004 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setnull_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_setnull_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE SET NULL
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_simple.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_simple.sql
index 213d3eeb..9b383b07 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_simple.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_simple.sql
@@ -1,8 +1,8 @@
 -- Constraint: FKey_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.test_second_table DROP CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.test_second_table DROP CONSTRAINT IF EXISTS "FKey_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE NO ACTION
